API Reference
Performance Reviews
2 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/performance-reviews JWT API KeyGet performance-reviews
Query parameters
| EmployeeId string (uuid) | — |
| PeriodLabel string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/performance-reviews" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/performance-reviews JWT API KeyCreate performance-reviews
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"periodLabel": "string",
"attendanceScore": 0,
"disciplineScore": 0,
"productivityScore": 0,
"customerServiceScore": 0,
"teamworkScore": 0,
"kitchenScore": 0,
"salesScore": 0,
"note": "string"
}| employeeId string (uuid) | — |
| periodLabel string | — |
| attendanceScore integer (int32) | — |
| disciplineScore integer (int32) | — |
| productivityScore integer (int32) | — |
| customerServiceScore integer (int32) | — |
| teamworkScore integer (int32) | — |
| kitchenScore integer (int32) | — |
| salesScore integer (int32) | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/performance-reviews" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"periodLabel": "string",
"attendanceScore": 0,
"disciplineScore": 0,
"productivityScore": 0,
"customerServiceScore": 0,
"teamworkScore": 0,
"kitchenScore": 0,
"salesScore": 0,
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu